ImageMagick PHP

Общие вопросы по использованию второй версии фреймворка. Если не знаете как что-то сделать и это про Yii 2, вам сюда.
Ответить
rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

ImageMagick PHP

Сообщение rosswe » 2019.10.10, 11:06

Доброго времини суток.
Есть такая ошибка.
Either GD PHP extension with FreeType support or ImageMagick PHP extension with PNG support is required.

удалил капчу.

Код: Выделить всё

<?= $form->field($model, 'captcha')->widget(Captcha::class, [
                                'captchaAction' => ['/site/captcha'],
                                'options' => ['class' => 'form-control'],
                                'template' => '<div class="row"><div class="col-md-6">{input}</div><div class="col-md-6">{image}</div></div>',

                            ]) ?>
но она нужна

пакеты не ставятся
root@debian:/home/debian# apt-get install php-imagick

Пакеты, имеющие неудовлетворённые зависимости:
php-imagick : Зависит: libmagickcore-6.q16-2 (>= 8:6.8.8.2) но он не может быть установлен
Зависит: libmagickwand-6.q16-2 (>= 8:6.8.8.9) но он не может быть установлен
Рекомендует: ttf-dejavu-core но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Как можно решить проблему?


rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

Re: ImageMagick PHP

Сообщение rosswe » 2019.10.10, 11:57


C репозиториями всё в порядке.

yiiliveext
Сообщения: 361
Зарегистрирован: 2019.08.13, 01:49

Re: ImageMagick PHP

Сообщение yiiliveext » 2019.10.10, 12:13

rosswe писал(а):
2019.10.10, 11:57
C репозиториями всё в порядке.
Попробуйте переустановить

Код: Выделить всё

sudo apt-get purge graphicsmagick graphicsmagick-dbg imagemagick-common imagemagick imagemagick-6.q16 libmagickcore-6-headers libmagickwand-dev graphicsmagick-libmagick-dev-compat
sudo apt-get autoremove
sudo apt-get install imagemagick libmagickwand-dev

rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

Re: ImageMagick PHP

Сообщение rosswe » 2019.10.10, 13:22

yiiliveext писал(а):
2019.10.10, 12:13
rosswe писал(а):
2019.10.10, 11:57
C репозиториями всё в порядке.
Попробуйте переустановить

Код: Выделить всё

sudo apt-get purge graphicsmagick graphicsmagick-dbg imagemagick-common imagemagick imagemagick-6.q16 libmagickcore-6-headers libmagickwand-dev graphicsmagick-libmagick-dev-compat
sudo apt-get autoremove
sudo apt-get install imagemagick libmagickwand-dev
# apt install imagemagick libmagickwand-dev
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Уже установлен пакет imagemagick самой новой версии (8:6.9.7.4+dfsg-11+deb9u7).
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
libmagickwand-dev : Зависит: libmagickwand-6.q16-dev но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

root@debian:/etc/apt# ls
apt.conf.d sources.list sources.list.save trusted.gpg~
listchanges.conf sources.list.d trusted.gpg trusted.gpg.d

везде в репах указано stretch

yiiliveext
Сообщения: 361
Зарегистрирован: 2019.08.13, 01:49

Re: ImageMagick PHP

Сообщение yiiliveext » 2019.10.10, 13:29

Попробуйте запустить sudo apt-get -f install

rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

Re: ImageMagick PHP

Сообщение rosswe » 2019.10.10, 13:36

yiiliveext писал(а):
2019.10.10, 13:29
Попробуйте запустить sudo apt-get -f install
# apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

yiiliveext
Сообщения: 361
Зарегистрирован: 2019.08.13, 01:49

Re: ImageMagick PHP

Сообщение yiiliveext » 2019.10.10, 13:56

sudo dpkg --configure -a
sudo apt-get -f install

rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

Re: ImageMagick PHP

Сообщение rosswe » 2019.10.10, 14:00

результат тот же

обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

на всякий случай поменял капчу
на эту
https://github.com/yiisoft/yii2/blob/ma ... aptcha.php
тоже не помогло

yiiliveext
Сообщения: 361
Зарегистрирован: 2019.08.13, 01:49

Re: ImageMagick PHP

Сообщение yiiliveext » 2019.10.10, 14:13

Дело же в библиотеке, а не в капче. А что теперь пишет sudo apt-get install php-imagick
И почистить еще можно попробовать sudo apt-get clean

rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

Re: ImageMagick PHP

Сообщение rosswe » 2019.10.10, 14:28

root@debian:/etc/apt# sudo apt-get clean
root@debian:/etc/apt# sudo apt-get install php-imagick
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Уже установлен пакет php-imagick самой новой версии (3.4.3~rc2-2).
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

yiiliveext
Сообщения: 361
Зарегистрирован: 2019.08.13, 01:49

Re: ImageMagick PHP

Сообщение yiiliveext » 2019.10.10, 14:35

Ну вот, image-magick уже нормально стал. И что там у нас теперь с капчей?
Веб-сервер только перезагрузите ж.

rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

Re: ImageMagick PHP

Сообщение rosswe » 2019.10.10, 14:53

Всё по прежнему , ошибка та же .
nginx пеодически перезагружаю,.
Последний раз редактировалось rosswe 2019.10.10, 23:52, всего редактировалось 1 раз.

yiiliveext
Сообщения: 361
Зарегистрирован: 2019.08.13, 01:49

Re: ImageMagick PHP

Сообщение yiiliveext » 2019.10.10, 15:14

phpinfo() секцию imgmagick в студию
и попробуте еще установит php-gd под вашу версию php

rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

Re: ImageMagick PHP

Сообщение rosswe » 2019.10.10, 16:29

root@debian:/etc/apt/sources.list.d# apt-get install php-imagick
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Уже установлен пакет php-imagick самой новой версии (3.4.3~rc2-2).
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
root@debian:/etc/apt/sources.list.d# sudo apt-get install php-gd
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Уже установлен пакет php-gd самой новой версии (1:7.0+49).
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
root@debian:/etc/apt/sources.list.d#

кансоль говорит об успешной установке ,но сессию я в упор не вижу.
ошибку стал замечать вчера после обновления через сунаптик.

лог из synaptic

Commit Log for Wed Oct 9 16:38:10 2019

Эти пакеты удалены:
php-gd
php7.2-gd
php7.2-intl-dbgsym
php7.3-gd

Эти пакеты обновлены:
libidn2-0 (0.16-1+deb9u1) to 2.2.0-2+0~20191009.3+debian8~1.gbpf85c2e
libsodium23 (1.0.17-0.1+0~20190131101845.5+stretch~1.gbp8cf594) to 1.0.18-1+0~20191009.1+debian8~1.gbpb6823f
libssl1.0.2 (1.0.2s-1~deb9u1) to 1.0.2t-1~deb9u1..........
там много.

yiiliveext
Сообщения: 361
Зарегистрирован: 2019.08.13, 01:49

Re: ImageMagick PHP

Сообщение yiiliveext » 2019.10.10, 16:39

php-gd надо ставить под версию php
например sudo apt-get install php7.2-gd

rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

Re: ImageMagick PHP

Сообщение rosswe » 2019.10.10, 16:44

Я в курсе но вот что говорит

$ sudo apt-get install php7.2-gd
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Пакет php7.2-gd недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list

E: Для пакета «php7.2-gd» не найден кандидат на установку

yiiliveext
Сообщения: 361
Зарегистрирован: 2019.08.13, 01:49

Re: ImageMagick PHP

Сообщение yiiliveext » 2019.10.10, 16:49

Погуглите репо для него, что у вас за система?
Глянул ваш phpinfo, imagick отсутствует, включите его в php.ini

rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

Re: ImageMagick PHP

Сообщение rosswe » 2019.10.10, 16:51

Linux debian 4.9.0-11-amd64

rosswe
Сообщения: 90
Зарегистрирован: 2017.01.09, 03:27
Откуда: Ставрополь
Контактная информация:

Re: ImageMagick PHP

Сообщение rosswe » 2019.10.10, 23:37

Может кому понадобится.
Решил так :

Вычистил php и не нужные репозитории.

Импортировал ключ подписи и включил PPA для PHP 7.2,

wget -q https://packages.sury.org/php/apt.gpg -O- | sudo apt-key add -
echo "deb https://packages.sury.org/php/ stretch main" | sudo tee /etc/apt/sources.list.d/php.list

sudo apt-get update

при ошибки

Reading package lists... Done
E: The method driver /usr/lib/apt/methods/https could not be found.
N: Is the package apt-transport-https installed?
E: Failed to fetch https://packages.sury.org/php/dists/stretch/InRelease
E: Some index files failed to download. They have been ignored, or old ones used instead.
---

sudo apt-get install ca-certificates apt-transport-https

команду обновления еще раз.

потом установил все нужные модули.

#apt install php7.2-......

сейчас прекрасно работает на версиях рнр 7.2 и 5.6

http://joxi.ru/BA0Njp4UMDjlom
http://joxi.ru/82QE0Y7SwxGZ72

Ответить